Bug 17797 - Add XSLT_Handler in opac/unapi
Summary: Add XSLT_Handler in opac/unapi
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Nick Clemens
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 19439
  Show dependency treegraph
 
Reported: 2016-12-20 15:58 UTC by Marcel de Rooy
Modified: 2017-10-10 14:07 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17797: Add XSLT_Handler in opac/unapi (2.67 KB, patch)
2016-12-20 16:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17797: Add XSLT_Handler in opac/unapi (2.69 KB, patch)
2017-06-02 20:23 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17797: Add XSLT_Handler in opac/unapi (2.74 KB, patch)
2017-09-01 09:51 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2016-12-20 15:58:00 UTC

    
Comment 1 Marcel de Rooy 2016-12-20 16:05:35 UTC
Created attachment 58305 [details] [review]
Bug 17797: Add XSLT_Handler in opac/unapi

Replaces some code by a call to existing module.
Removes the $@->code and $@->message calls.

Test plan
[1] Run /cgi-bin/koha/unapi?id=koha:biblionumber:[number]&format=marcxml
[2] Try some variations.
Comment 2 Josef Moravec 2017-06-02 20:23:35 UTC
Created attachment 63947 [details] [review]
[SIGNED-OFF] Bug 17797: Add XSLT_Handler in opac/unapi

Replaces some code by a call to existing module.
Removes the $@->code and $@->message calls.

Test plan
[1] Run /cgi-bin/koha/unapi?id=koha:biblionumber:[number]&format=marcxml
[2] Try some variations.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Marcel de Rooy 2017-06-06 10:34:57 UTC
(In reply to Josef Moravec from comment #2)
> Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Great
Comment 4 Nick Clemens 2017-09-01 09:51:15 UTC
Created attachment 66695 [details] [review]
Bug 17797: Add XSLT_Handler in opac/unapi

Replaces some code by a call to existing module.
Removes the $@->code and $@->message calls.

Test plan
[1] Run /cgi-bin/koha/unapi?id=koha:biblionumber:[number]&format=marcxml
[2] Try some variations.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Marcel de Rooy 2017-09-01 10:14:02 UTC
(In reply to Nick Clemens from comment #4)
> Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Thanks
Comment 6 Jonathan Druart 2017-09-01 16:04:49 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-10-03 08:26:40 UTC
Enhancement not pushed to 17.05.x